node.default['rsyslog']['file_inputs']['salt.minion']['file'] = '/var/log/salt/*inion'
node.default['rsyslog']['file_inputs']['salt.minion']['priority'] = 70
node.default['rsyslog']['file_inputs']['salt.minion']['severity'] = 'info'

directory '/etc/salt' do
  action :create
end

file '/etc/salt/minion_id' do
  content "#{node['hosts']['hostname']}.#{node['hosts']['domain']}"
end

include_recipe 'salt::minion'

service 'salt-minion' do
  action [:enable, :start]
end
